This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1469512 - Dependency problems for texlive-xindy
Dependency problems for texlive-xindy
Status: NEW
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 08:15 EDT by cb.bugreports
Modified: 2017-07-31 09:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cb.bugreports 2017-07-11 08:15:37 EDT
Description of problem:
The installation of texlive-xindy does not check for the correct dependencies concerning the clisp package. If the package clisp is installed, the two versions do not match.


Version-Release number of selected component (if applicable):


How reproducible:
Install texlive-xindy and then run 

xindy --version

which produces the output:
xindy release: 2.5.1
xindy script version: 1.18
xindy: Could not execute xindy kernel: No such file or directory

If the missing clips package is installed the output changes to
/usr/lib64/clisp-2.49+/base/lisp.run: initialization file /usr/bin/xindy.mem' was not created by this version of CLISP runtime

Rebuilding the texlive-xindy package from the source resolves the issue.

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 cb.bugreports 2017-07-31 09:59:57 EDT
This bug present both in Fedora 25 and Fedora 26

Note You need to log in before you can comment on or make changes to this bug.